digiKam Developer Documentation: Digikam::GPCamera Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
Digikam::GPCamera Class Reference

Gphoto2 camera Implementation of abstract type DKCamera.

Inheritance diagram for Digikam::GPCamera:

## Public Member Functions
| GPCamera (const QString &title, const QString &model, const QString &port, const QString &path)
bool | cameraAbout (QString &about) override
DKCamera::CameraDriverType | cameraDriverType () override
bool | cameraManual (QString &manual) override
QByteArray | cameraMD5ID () override
bool | cameraSummary (QString &summary) override
void | cancel () override
bool | capture (CamItemInfo &itemInfo) override
bool | deleteAllItems (const QString &folder)
| recursively delete all items
bool | deleteItem (const QString &folder, const QString &itemName) override
bool | doConnect () override
bool | downloadItem (const QString &folder, const QString &itemName, const QString &saveFile) override
bool | getFolders (const QString &folder) override
bool | getFreeSpace (qint64 &bytesSize, qint64 &bytesAvail) override
void | getItemInfo (const QString &folder, const QString &itemName, CamItemInfo &info, bool useMetadata) override
bool | getItemsInfoList (const QString &folder, bool useMetadata, CamItemInfoList &items) override
| If getImageDimensions is false, the camera shall set width and height to -1 if the values are not immediately available.
bool | getItemsList (const QString &folder, QStringList &itemsList)
bool | getMetadata (const QString &folder, const QString &itemName, DMetadata &meta) override
bool | getPreview (QImage &preview) override
bool | getThumbnail (const QString &folder, const QString &itemName, QImage &thumbnail) override
bool | setLockItem (const QString &folder, const QString &itemName, bool lock) override
bool | uploadItem (const QString &folder, const QString &itemName, const QString &localFile, CamItemInfo &itemInfo) override
Public Member Functions inherited from Digikam::DKCamera
| DKCamera (const QString &title, const QString &model, const QString &port, const QString &path)
bool | captureImagePreviewSupport () const
bool | captureImageSupport () const
bool | delDirSupport () const
bool | deleteSupport () const
QString | mimeType (const QString &fileext) const
bool | mkDirSupport () const
QString | model () const
QString | path () const
QString | port () const
void | printSupportedFeatures ()
bool | thumbnailSupport () const
QString | title () const
bool | uploadSupport () const
QString | uuid () const

## Static Public Member Functions
static int | autoDetect (QString &model, QString &port)
static bool | findConnectedUsbCamera (int vendorId, int productId, QString &model, QString &port)
static void | getCameraSupportedPorts (const QString &model, QStringList &plist)
static void | getSupportedCameras (int &count, QStringList &clist)
static void | getSupportedPorts (QStringList &plist)

## Additional Inherited Members
Public Types inherited from Digikam::DKCamera
enum | CameraDriverType { GPhotoDriver = 0 , UMSDriver }
Signals inherited from Digikam::DKCamera
void | signalFolderList (const QStringList &)
Protected Member Functions inherited from Digikam::DKCamera
void | fillItemInfoFromMetadata (CamItemInfo &item, const DMetadata &meta) const
Protected Attributes inherited from Digikam::DKCamera
QString | m_audioFilter
bool | m_captureImagePreviewSupport = false
bool | m_captureImageSupport = false
bool | m_delDirSupport = false
bool | m_deleteSupport = false
QString | m_imageFilter
bool | m_mkDirSupport = false
QString | m_model
QString | m_movieFilter
QString | m_path
QString | m_port
QString | m_rawFilter
bool | m_thumbnailSupport = false
QString | m_title
bool | m_uploadSupport = false
QString | m_uuid

## Member Function Documentation

## ◆ cameraAbout()

bool Digikam::GPCamera::cameraAbout | ( | QString & | about | ) |
| overridevirtual

Implements Digikam::DKCamera.

## ◆ cameraDriverType()

DKCamera::CameraDriverType Digikam::GPCamera::cameraDriverType | ( |  | ) |
| overridevirtual

Implements Digikam::DKCamera.

## ◆ cameraManual()

bool Digikam::GPCamera::cameraManual | ( | QString & | manual | ) |
| overridevirtual

Implements Digikam::DKCamera.

## ◆ cameraMD5ID()

QByteArray Digikam::GPCamera::cameraMD5ID | ( |  | ) |
| overridevirtual

Implements Digikam::DKCamera.

## ◆ cameraSummary()

bool Digikam::GPCamera::cameraSummary | ( | QString & | summary | ) |
| overridevirtual

Implements Digikam::DKCamera.

## ◆ cancel()

void Digikam::GPCamera::cancel | ( |  | ) |
| overridevirtual

Implements Digikam::DKCamera.

## ◆ capture()

bool Digikam::GPCamera::capture | ( | CamItemInfo & | itemInfo | ) |
| overridevirtual

Implements Digikam::DKCamera.

## ◆ deleteItem()

bool Digikam::GPCamera::deleteItem | ( | const QString & | folder,
|  | const QString & | itemName
| ) |  |
| overridevirtual

Implements Digikam::DKCamera.

## ◆ doConnect()

bool Digikam::GPCamera::doConnect | ( |  | ) |
| overridevirtual

Implements Digikam::DKCamera.

## ◆ downloadItem()

bool Digikam::GPCamera::downloadItem | ( | const QString & | folder,
|  | const QString & | itemName,
|  | const QString & | saveFile
| ) |  |
| overridevirtual

Implements Digikam::DKCamera.

## ◆ getFolders()

bool Digikam::GPCamera::getFolders | ( | const QString & | folder | ) |
| overridevirtual

Implements Digikam::DKCamera.

## ◆ getFreeSpace()

bool Digikam::GPCamera::getFreeSpace | ( | qint64 & | bytesSize,
|  | qint64 & | bytesAvail
| ) |  |
| overridevirtual

Implements Digikam::DKCamera.

## ◆ getItemInfo()

void Digikam::GPCamera::getItemInfo | ( | const QString & | folder,
|  | const QString & | itemName,
|  | CamItemInfo & | info,
|  | bool | useMetadata
| ) |  |
| overridevirtual

Implements Digikam::DKCamera.

## ◆ getItemsInfoList()

bool Digikam::GPCamera::getItemsInfoList | ( | const QString & | folder,
|  | bool | useMetadata,
|  | CamItemInfoList & | infoList
| ) |  |
| overridevirtual

Implements Digikam::DKCamera.

## ◆ getMetadata()

bool Digikam::GPCamera::getMetadata | ( | const QString & | folder,
|  | const QString & | itemName,
|  | DMetadata & | meta
| ) |  |
| overridevirtual

Implements Digikam::DKCamera.

## ◆ getPreview()

bool Digikam::GPCamera::getPreview | ( | QImage & | preview | ) |
| overridevirtual

Implements Digikam::DKCamera.

## ◆ getThumbnail()

bool Digikam::GPCamera::getThumbnail | ( | const QString & | folder,
|  | const QString & | itemName,
|  | QImage & | thumbnail
| ) |  |
| overridevirtual

Implements Digikam::DKCamera.

## ◆ setLockItem()

bool Digikam::GPCamera::setLockItem | ( | const QString & | folder,
|  | const QString & | itemName,
|  | bool | lock
| ) |  |
| overridevirtual

Implements Digikam::DKCamera.

## ◆ uploadItem()

bool Digikam::GPCamera::uploadItem | ( | const QString & | folder,
|  | const QString & | itemName,
|  | const QString & | localFile,
|  | CamItemInfo & | itemInfo
| ) |  |
| overridevirtual

Implements Digikam::DKCamera.